Skip to content

Delete a Function

DELETE
/api/v1/faas/function/{function_id}/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/faas/function/{function_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Deletes the specified function by its ID.

function_id
required
integer

Function ID

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Function deleted successfully.

Media typeapplication/json
object
code
integer
data
string
errors
object
message
string

Example

{
"code": 200,
"data": "e2e-function-91786",
"errors": {},
"message": "Success"
}